#pragma once


// CFileOpenCombo

class CFileOpenCombo : public CFileDialog
{
	DECLARE_DYNAMIC(CFileOpenCombo)

public:
	CFileOpenCombo(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);
	virtual ~CFileOpenCombo();

protected:
	DECLARE_MESSAGE_MAP()
};


